Update issue issue

SolydXK is too quiet for you? SolydXK Enthusiast Editions, based on Debian Testing is for you! Here you can find news about Debian Testing and Unstable too, and also tests on SolydXK programs.
The support for SolydXK EE is provided by the community.
User avatar
xendistar
Posts: 510
Joined: 08 Jun 2014 08:17
Location: Bournemouth, UK

Update issue issue

Postby xendistar » 29 Jul 2019 17:17

I was about to install the latest updates that were waiting to installed and I noticed program being installed that I never requested

Code: Select all

sudo apt-get dist-upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following packages were automatically installed and are no longer required:
  libgeos-3.7.1 linux-headers-5.2.0-3.1-liquorix-amd64
Use 'sudo apt autoremove' to remove them.
The following packages will be REMOVED:
  solydx-system-adjustments-10
The following NEW packages will be installed:
  firefox-esr firefox-solydxk-adjustments inotify-tools libgeos-3.7.2 libinotifytools0 lightning
  linux-headers-5.2.0-4.1-liquorix-amd64 package-update-indicator pk-update-icon
  solydx-system-adjustments-11 thunderbird thunderbird-solydxk-adjustments
The following packages will be upgraded:
  arch-test libasyncns0 libasyncns0:i386 libfreetype6 libfreetype6:i386 libgeos-c1v5
  libresid-builder0c2a libsaxonhe-java libsidplay2 linux-headers-liquorix-amd64 pastebinit patch
  pinentry-gnome3 pinentry-gtk2 solydxee-info xfce4-appfinder
16 upgraded, 12 newly installed, 1 to remove and 0 not upgraded.
Need to get 105 MB of archives.
After this operation, 393 MB of additional disk space will be used.
Do you want to continue? [Y/n] 
Why is it wanting to install firefox-esr, firefox-solydxk-adjustments, lightning, thunderbird and thunderbird-solydxk-adjustments, I do not have Firefox or Thunderbird installed on my PC, do I assume an 8 legged critter has got into the works again??

User avatar
grizzler
Posts: 2139
Joined: 04 Mar 2013 15:45
Location: The Hague, NL

Re: Update issue issue

Postby grizzler » 29 Jul 2019 17:35

Those packages are pulled in because of what's in the 'recommends' category of the new system-adjustments package.
I'm not sure Arjen would consider removing the firefox- and thunderbird-solydxk-adjustments from that list, but that is the only way to stop this from happening on every upgrade of the system-adjustments package. Unless you either temporarily or permanently switch off 'recommends' (I suggest the latter, but that's just me and the debian maintainers disagree...).
To switch that off for just this session, use

Code: Select all

sudo apt-get --no-install-recommends dist-upgrade
Frank

SolydX EE 64 - tracking Debian Testing

kurotsugi
Posts: 2214
Joined: 09 Jan 2014 00:17

Re: Update issue issue

Postby kurotsugi » 29 Jul 2019 21:21

+1
just turn off recommended packages option. less packages > easier dpkg resolve > less breakage > overall slimmer system > easier to maintain. basicly, lot of good things :3

User avatar
xendistar
Posts: 510
Joined: 08 Jun 2014 08:17
Location: Bournemouth, UK

Re: Update issue issue

Postby xendistar » 29 Jul 2019 21:26

I ran Grizzlers one liner to do the job, all good at the moment

Thanks all


Return to “Testing Zone”

Who is online

Users browsing this forum: No registered users and 3 guests